# Stenographer

Stenographer is a gem that helps you dig through your chat history, currently limited to Adium chat logs.

## Installation

Add this line to your application's Gemfile:

    gem 'stenographer'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install stenographer

## Usage

To get started with stenographer, you just have to call

    transcript = Transcript.new
    transcript.read_back

This will go to the default Adium log directory and read back all your chat conversations. You can also pass the constructor a specific directory to limit the conversations Transcript pulls in.

To search for a specific string within your chat history, just pass your queried string:

    transcript.read_back(query: 'cool')

This will return every instance of 'cool' in your history. Sometimes it's handy to understand what it was you thought was so cool. Including some context helps:

    transcript.read_back(query: 'cool', context: true)

Some queries yield more interesting results than others:

    transcript.read_back(query: 'http')

## Upcoming

There are quite a few more things I'd like to do with this gem. Making it easier to specify which exact conversation you're meaning to pull up is high on the list.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
