# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stenographer/version'

Gem::Specification.new do |gem|
  gem.name          = "stenographer"
  gem.version       = Stenographer::VERSION
  gem.platform      = Gem::Platform::RUBY
  gem.authors       = ["Matthew Werner"]
  gem.email         = ["mttwrnr@gmail.com"]
  gem.description   = %q{Remember what you've said}
  gem.summary       = %q{Stenographer is a gem that helps you dig through your chat history}
  gem.homepage      = "https://github.com/mwerner/stenographer"
  gem.license       = 'MIT'

  gem.add_runtime_dependency 'nokogiri'

  gem.required_rubygems_version = ">= 1.3.6"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]
end
